/**
 * Copyright (c) 2024 LOBA
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
 * the Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 * 
 * SPDX-License-Identifier: MIT
 * 
 * Contributors:
 *     [name] - [contribution]
 */

@import "../components/buttons";
@import "../components/header/header";
@import "../components/user_profile";
@import "../components/sidebar/sidebar";
@import "../components/cards";
@import "../components/slider_info";
@import "../components/breadcrumb";
@import "../components/topbar";
@import "../components/info.scss";
@import "../components/description_box";
@import "../components/badge";
@import "../components/user_selection_list";
@import "../components/datatable";
@import "../components/detailtab";
@import "../components/filters_top";
@import "../components/form";
@import "../components/user_item";
@import "../components/filter_item";
@import "../components/accordion";
@import "../components/scheme_table";
@import "../components/quality-col";
@import "../components/modals/general";
@import "../components/banner";

.mt-160 {
    margin-top: rem(160) !important;
}

.mb-0 {
    margin-bottom: 0 !important;
}

a,
button {
    cursor: pointer;
}

.hide {
    display: none !important;
}

.w-100 {
    width: 100% !important;
}

.content-wrapper {
    display: flex;
    flex-wrap: wrap;
    padding: rem(0) rem(0) rem(40) rem(0);
    margin-top: rem(100);
    margin-left: rem(250);
}

main {
    width: 100%;
}

.dashboard-wrapper {
    width: 100%;
    padding: rem(40) rem(40) rem(0) rem(40);

    @media (max-width: 1350px) {
        padding: rem(20) rem(20) rem(0) rem(20);
    }
}

.dashboard-cards-wrapper {
    margin-top: rem(40);

}

.dashboard-title {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: rem(40);
    margin-top: rem(80);

    h2 {
        font-size: rem(32);
        font-weight: 300;
        background: linear-gradient(90deg, #ABA7EE 0%, #FFFFFF 50%, #ABA7EE 100%);
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
    }
}

.detail {

    &-header {
        display: flex;
        align-items: center;
        justify-content: space-between;
        margin-bottom: rem(65);
        padding-left: rem(80);
        padding-right: rem(50);

        @media (max-width: 1350px) {
            padding-left: rem(30);
            padding-right: rem(20);
        }

        .row {
            width: 100%;
        }

        .title {
            display: flex;
            align-items: center;
            gap: rem(8);
            // max-width: 40%;
            width: 100%;

            h2 {
                font-size: rem(40);
                font-weight: 300;
                line-height: rem(56);
                background: linear-gradient(90deg, var(--color-default-1) 0%, var(--white) 50%, var(--color-default-1) 100%);
                -webkit-background-clip: text;
                -webkit-text-fill-color: transparent;
            }
        }

        .quick-actions {
            width: 100%;
            display: flex;
            flex-wrap: wrap;
            gap: rem(8);
            align-items: center;
            // justify-content: space-between;
            justify-content: flex-end;

            &-wrapper {
                display: flex;
                flex-wrap: wrap;
                gap: rem(8);
                align-items: center;
            }
        }

    }

    &-body {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
        padding-left: rem(80);
        padding-right: rem(50);

        @media (max-width: 1350px) {
            padding-left: rem(30);
            padding-right: rem(20);
        }

        .row {
            width: 100%;
        }

        &>.row>.col-xl-3 {
            border-right: 1px solid var(--border-color);
        }

        .about {
            display: flex;
            flex-wrap: wrap;
            gap: rem(40);
            margin-bottom: rem(70);

            &.details {
                flex-wrap: nowrap;

                &>div {
                    max-width: 25%;
                    width: 100%;
                }

            }

        }

        .user {
            margin-bottom: rem(55);

            h3 {
                margin-bottom: rem(16);
            }

            &:last-child {
                margin-bottom: 0;
            }

        }

    }

}

.domains-page {

    .domains-wrapper {
        margin-top: 4rem;
        padding-left: 5rem;
        padding-right: 3.125rem;
    }

}

.auth-template {

    display: flex;
    height: 100vh;
    align-items: center;
    justify-content: center;
    flex-direction: column;

    h1 {
        font-size: 40px;
        margin-bottom: 1em;
    }

    .button {
        display: inline-block;
    }

}

.loading-fullscreen {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 9999;
    display: flex;
    align-items: center;
    justify-content: center;
}

.error-highlight {
    border: 2px solid red;
}

.error-message {
    color: red;
    font-size: 12px;
    margin-top: 20px;
    margin-bottom: 20px;
}

.hidden {
    display: none !important;
}

#loading-spinner {
    width: 100%;
    height: 100%;
    position: fixed;
    top: 50%;
    left: 0;
    background: rgba(0, 0, 0, 0.5);
    max-width: 90%;
    margin: auto;
    max-height: 90vh;
    transform: translateY(-50%);
    margin: 0 auto;
    right: 0;
    border-radius: rem(30);
    display: flex;
    align-items: center;
    justify-content: center;
}

.spinner{
    width: 40px;
    height: 40px;
    clear: both;
    border: 4px rgba(133, 127, 228, 0.25) solid;
    border-top: 4px rgba(133, 127, 228, 1) solid;
    border-radius: 50%;
    animation: spCircRot .6s infinite linear;
}

@keyframes spCircRot {
    from { transform: rotate(0deg); }
    to { transform: rotate(359deg); }
}

.loading-indicator{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-top: 20px;

    div{
        text-align: center;
    }

    span{
        margin-top: 15px;
    }
}

.d-none {
    display: none !important;
}